## gwakeonlan 0.7.0

=== requirements.txt ===
pyxdg==0.27
PyGObject==3.38.0

=== debian/changelog ===
gwakeonlan (0.7.0-2) unstable; urgency=medium

  * Source-only upload.
  * debian/control: Use correct homepage.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Nov 2021 09:37:51 -0400

gwakeonlan (0.7.0-1) unstable; urgency=medium

  * Reintroduce package.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Sep 2021 22:32:02 -0400

gwakeonlan (0.5.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * The previous NMU didn't work, and installed an empty package.
    so, making the package work again (Closes: #826515)
    this includes:
    - drop cdbs
    - use setuptools
    - use compat level 9

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 05 Jun 2016 23:18:27 +0200

gwakeonlan (0.5.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-python. Closes: #786290.

 -- Matthias Klose <doko@debian.org>  Fri, 21 Aug 2015 21:14:03 +0200

gwakeonlan (0.5.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: bump Standards-Version to 3.9.1
  * debian/control: dropped python-glade2 dependency

 -- Fabio Castelli <muflone@vbsimple.net>  Sun, 17 Oct 2010 17:35:29 +0200

gwakeonlan (0.4.1-1) unstable; urgency=low

  * Merging upstream version 0.4.1

 -- Fabio Castelli <muflone@vbsimple.net>  Sat, 13 Feb 2010 16:07:25 +0100

gwakeonlan (0.4-1) unstable; urgency=low

  * Merging upstream version 0.4

 -- Fabio Castelli <muflone@vbsimple.net>  Sat, 16 Jan 2010 17:13:35 +0100

gwakeonlan (0.3-1) unstable; urgency=low

  * Initial release (Closes: #561019)

 -- Fabio Castelli <muflone@vbsimple.net>  Sat, 26 Dec 2009 17:29:40 +0100

=== debian/control ===
Source: gwakeonlan
Section: net
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
Standards-Version: 4.6.0
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 gobject-introspection,
 python3,
 python3-distutils,
 python3-gi,
 python3-setuptools,
 python3-xdg,
Rules-Requires-Root: no
Homepage: https://www.muflone.com/gwakeonlan/
Vcs-Git: https://salsa.debian.org/debian/gwakeonlan.git
Vcs-Browser: https://salsa.debian.org/debian/gwakeonlan

Package: gwakeonlan
Architecture: all
Depends:
 python3-distutils,
 python3-gi,
 python3-xdg,
 ${misc:Depends},
 ${python3:Depends},
Description: wakes up your machines using Wake on LAN
 gWakeOnLan is a GTK+ utility to awake turned off computers through the Wake
 on LAN feature. Both local and internet modes are supported.
 .
 The machines to turn on need to be shut off with the Wake on LAN magic packet
 enabled.

## gwakeonlan 0.8.2

=== debian/changelog ===
gwakeonlan (0.8.2-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Sat, 16 Apr 2022 23:14:07 -0400

gwakeonlan (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update information.

 -- Boyuan Yang <byang@debian.org>  Wed, 06 Apr 2022 15:45:32 -0400

gwakeonlan (0.8.0-1) unstable; urgency=medium

  * New upstream release. 
  * debian/control: Update dependency.

 -- Boyuan Yang <byang@debian.org>  Mon, 21 Mar 2022 13:47:23 -0400

## gwakeonlan 0.8.3

=== debian/changelog ===
gwakeonlan (0.8.3-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Mon, 23 May 2022 15:24:58 -0400

## gwakeonlan 0.8.4

=== debian/changelog ===
gwakeonlan (0.8.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Aug 2022 14:35:48 -0400

## gwakeonlan 0.8.5

=== requirements.txt ===
pyxdg==0.28
PyGObject==3.40.1

=== debian/changelog ===
gwakeonlan (0.8.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 05 Oct 2022 14:16:20 -0400

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Boyuan Yang <byang@debian.org>
 Uploaders:
  Debian Python Team <team+python@tracker.debian.org>,
-Standards-Version: 4.6.0
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ gir1.2-gtk-3.0,
  gobject-introspection,
  python3,
  python3-distutils,
@@ -15,6 +15,7 @@
  python3-setuptools,
  python3-xdg,
 Rules-Requires-Root: no
+Standards-Version: 4.6.0
 Homepage: https://www.muflone.com/gwakeonlan/
 Vcs-Git: https://salsa.debian.org/debian/gwakeonlan.git
 Vcs-Browser: https://salsa.debian.org/debian/gwakeonlan
@@ -22,6 +23,7 @@
 Package: gwakeonlan
 Architecture: all
 Depends:
+ gir1.2-gtk-3.0,
  python3-distutils,
  python3-gi,
  python3-xdg,

## gwakeonlan 0.8.6

=== requirements.txt ===
pyxdg==0.28
PyGObject==3.48.2

=== debian/changelog ===
gwakeonlan (0.8.6-2) unstable; urgency=medium

  * QA upload.
  * debian/copyright: Update packaging copyright information.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/control: Create autopkgtest.

 -- Arthur Martins de Oliveira <arthur_mo@hotmail.com>  Thu, 23 Oct 2025 20:18:57 -0300

gwakeonlan (0.8.6-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 01 Sep 2024 15:18:20 -0400

gwakeonlan (0.8.5-3) unstable; urgency=medium

  * QA upload.
  * Drop dependency on python3-distutils.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Mar 2024 12:12:22 +0100

gwakeonlan (0.8.5-2) unstable; urgency=medium

  * Orphan the package. (See #1064594)

 -- Boyuan Yang <byang@debian.org>  Sat, 24 Feb 2024 14:37:38 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,13 @@
 Source: gwakeonlan
 Section: net
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
-Uploaders:
- Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  gir1.2-gtk-3.0,
  gobject-introspection,
  python3,
- python3-distutils,
  python3-gi,
  python3-setuptools,
  python3-xdg,
@@ -24,7 +21,6 @@
 Architecture: all
 Depends:
  gir1.2-gtk-3.0,
- python3-distutils,
  python3-gi,
  python3-xdg,
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

#DEB_PYTHON_INSTALL_ARGS_ALL += --install-lib=/usr/share/gwakeonlan

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: gwakeonlan -h | grep "^usage"
Restrictions: superficial

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gwakeonlan-$1\.tar\.gz/ \
  https://github.com/muflone/gwakeonlan/tags .*/v?(\d\S+)\.tar\.gz
